.app-features-section {
    background-color: #f6faff;
    padding-top: 120px;
    padding-bottom: 0px;
    overflow: hidden;
}

/* Feature Cards Section */
.feature-cards-section {
    padding: 15px 0 15px 0;
    background-color: #ecf2fd;
    border-radius: 24px;
}

.feature-card {
    background: #ffffff;
    border-radius: 24px;
    padding: 2.5rem;
    height: 100%;
    display: flex;
    flex-direction: column;
    border: none;
    box-shadow: none;
}

.feature-illustration {
    text-align: start;
    margin-bottom: 2rem;
}

.illustration-img {
    width: 200px;
    height: 200px;
    object-fit: cover;
}

.feature-content {
    flex: 1;
    display: flex;
    flex-direction: column;
}

.feature-title {
    color: #003451;
    font-size: 1.4rem;
    margin-bottom: 1.5rem;
    text-align: start;
}

.feature-list {
    list-style: none;
    padding: 0;
    margin: 0 0 1rem 0;
    flex: 1;
}

.feature-item {
    display: flex;
    align-items: flex-start;
    margin-bottom: 1rem;
    padding: 0.5rem 0.8rem;
    background-color: white;
    border-radius: 24px;
    width: fit-content;
    border: 1px solid #e1e2e8;
}

.feature-item span {
    color: #4b5563;
    font-size: 0.9rem;
    line-height: 1.5;
}

.feature-check {
    color: #10b981 !important;
    font-size: 1rem;
    margin-right: 0.75rem;
    margin-top: 0.125rem;
    flex-shrink: 0;
}

/* Media Queries */
@media (max-width: 767.98px) {
    .app-features-section {
        padding-top: 30px;
        padding-bottom: 0px;
    }

    .feature-list {
        margin: 0;
    }

    .feature-cards-section {
        padding-bottom: 0;
        background-color: #f6fafe;
    }

    .app-features-card {
        background-color: #e1eafd !important;
    }

    .feature-card {
        padding: 2rem 1.5rem;
        margin-bottom: 2rem;
        background-color: #f2efe9;
    }

    .feature-title {
        font-size: 1.5rem;
    }

    .feature-item span {
        font-size: 0.8rem;
    }

    .illustration-img {
        width: 150px;
        height: 120px;
    }
}

@media (min-width: 768px) and (max-width: 991.98px) {
    .feature-card {
        margin-bottom: 2rem;
    }
}

@media (min-width: 1200px) {
    .feature-card {
        padding: 3rem;
    }
}
